#include <time.h>
#include <gint/rtc.h>
#include <gint/defs/attributes.h>

static clock_t clock_init;

static clock_t clock_abs(void)
{
	return (CLOCKS_PER_SEC * (uint64_t)rtc_ticks()) / 128;
}

GCONSTRUCTOR static void clock_initialize(void)
{
	clock_init = clock_abs();
}

clock_t clock(void)
{
	return clock_abs() - clock_init;
}
